Bug 1464945 - [RFE]: Streamlined disk replacement process [NEEDINFO]
[RFE]: Streamlined disk replacement process
Status: ON_QA
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RADOS (Show other bugs)
3.0
Unspecified Unspecified
urgent Severity urgent
: rc
: 3.1
Assigned To: Josh Durgin
Manohar Murthy
: FutureFeature, TestOnly
: 1228843 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-26 05:38 EDT by John Spray
Modified: 2018-05-25 05:26 EDT (History)
11 users (show)

See Also:
Fixed In Version: RHEL: ceph-12.2.0-1.el7cp Ubuntu: ceph_12.2.0-2redhat1xenial
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
hnallurv: needinfo? (khartsoe)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Github ceph/ceph/pull/14074 None None None 2017-08-30 14:37 EDT

  None (edit)
Description John Spray 2017-06-26 05:38:33 EDT
Enable removing and replacing a disk while retaining the OSD ID:
 * To minimize data movement
 * For admin convenience to retain mapping of OSD ID to slot/server

This will apply to both failures and bluestore upgrades.

http://pad.ceph.com/p/osd-replacement
Comment 5 Josh Durgin 2017-07-18 16:25:49 EDT
*** Bug 1228843 has been marked as a duplicate of this bug. ***
Comment 6 Ian Colle 2017-08-01 19:20:28 EDT
*** Bug 1318389 has been marked as a duplicate of this bug. ***
Comment 7 Josh Durgin 2017-08-30 13:37:10 EDT
https://github.com/ceph/ceph/pull/14074
Comment 9 Harish NV Rao 2017-09-16 04:41:13 EDT
QE needs documented steps test this fix. 

@Josh @John @Ken H please help.
Comment 10 Josh Durgin 2017-09-20 13:21:33 EDT
See http://docs.ceph.com/docs/master/rados/operations/add-or-rm-osds/#replacing-an-osd for the new disk replacement process.
Comment 11 Harish NV Rao 2017-09-21 02:24:23 EDT
@Ken H, can we please get the official doc based on the link shared by Josh? It will help us verify the official doc for downstream.

> http://docs.ceph.com/docs/master/rados/operations/add-or-rm-osds/#replacing-
> an-osd for the new disk replacement process.
Comment 12 Harish NV Rao 2017-10-05 13:11:17 EDT
(In reply to Harish NV Rao from comment #11)
> @Ken H, can we please get the official doc based on the link shared by Josh?
> It will help us verify the official doc for downstream.
> 
> > http://docs.ceph.com/docs/master/rados/operations/add-or-rm-osds/#replacing-
> > an-osd for the new disk replacement process.

Hi Ken,

A gentle reminder. 

Without an official document, QE will not be able to verify this bug.

Could you please help us?

Regards,
Harish

Note You need to log in before you can comment on or make changes to this bug.